# Interface ExtrudeSymbol3DLayerJson

ExtrudeSymbol3DLayer is used to render Polygon geometries by extruding them upward from the ground, creating a 3D volumetric object.

See https://developers.arcgis.com/web-scene-specification/objects/extrudeSymbol3DLayer/.

interface ExtrudeSymbol3DLayerJson {
enable?: boolean;
material?: MaterialJson;
size?: number;
type: "Extrude";
}

#### Hierarchy (view full)

- Symbol3DLayerJsonBase
  - ExtrudeSymbol3DLayerJson

#####
Index

### Properties

enable?
material?
size?
type

##
Properties

### `Optional` enable

enable?: boolean

Type: Boolean.

### `Optional` material

material?: MaterialJson

The material used to shade the geometry.

### `Optional` size

size?: number

Extrusion height in meters, positive only.

### type

type

The type of the Symbol3DLayer. See Symbol3DLayerJsonType.

Overrides Symbol3DLayerJsonBase.type